OpenVDB 12.1.0

Loading...
Searching...
No Matches
LeafNode< T, Log2Dim >::ValueConverter< OtherValueType > Struct Template Reference

ValueConverter<T>::Type is the type of a LeafNode having the same dimensions as this node but a different value type, T. More...

`#include <openvdb/tree/LeafNode.h>`

## Public Types
using | Type = LeafNode<OtherValueType, Log2Dim>

## Detailed Description

template<typename T, Index Log2Dim>
template<typename OtherValueType>
struct openvdb::v12_1::tree::LeafNode< T, Log2Dim >::ValueConverter< OtherValueType >

ValueConverter<T>::Type is the type of a LeafNode having the same dimensions as this node but a different value type, T.

## Member Typedef Documentation

## ◆ Type

template<typename T, Index Log2Dim>
template<typename OtherValueType>

using Type = LeafNode<OtherValueType, Log2Dim>